%define oname	FileRunner

Summary:	A simple file manager with built-in FTP support
Name:		filerunner
Version:	14.06.18.10
Release:	%mkrel 3
License:	GPLv3+
Group:		File tools
URL:		http://sourceforge.net/projects/filerunner/
Source0:	http://sourceforge.net/projects/%{name}/files/release-%{version}/fr-%{version}.tar.gz
Patch1:		fr-disable-inotify.patch
BuildArch:	noarch

BuildRequires:	imagemagick
BuildRequires:	pkgconfig(tcl)

Requires:	tcl
Requires:	tk

# For sftp
Recommends:	expect
Recommends:	openssh-clients

Provides:	%{oname} = %{version}-%{release}
Obsoletes:	%{oname} <= 2.5.1

%description
FileRunner is a file manager for Unix. It is simple and efficient and has
a built-in FTP client. New and improved from a FileRunner of long ago.

%prep
%setup -q -c %{name}-%{version}
%patch1 -p1 -b .orig

# http://qa.mandriva.com/show_bug.cgi?id=22193
find -type f | xargs perl -pi -e "s|\\\$glob\(doclib_fr\)|%{_docdir}/%{name}|g"

%build
#nothing

%install
cd %{name}
mkdir -p %{buildroot}%{tcl_sitelib}/%{oname}/bitmaps
mkdir -p %{buildroot}%{_bindir}

cp -a bitmaps/* %{buildroot}%{tcl_sitelib}/%{oname}/bitmaps
cp -a *.tcl %{buildroot}%{tcl_sitelib}/%{oname}
cp -a tclIndex %{buildroot}%{tcl_sitelib}/%{oname}
cp -a packages %{buildroot}%{tcl_sitelib}/%{oname}

install -m755 fr %{buildroot}%{tcl_sitelib}/%{oname}/fr
install -m755 frftp %{buildroot}%{tcl_sitelib}/%{oname}/frftp

ln -s %{tcl_sitelib}/%{oname}/fr %{buildroot}%{_bindir}/fr
ln -s %{_docdir}/%{name}/HISTORY %{buildroot}%{tcl_sitelib}/%{oname}/HISTORY

# Icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

cp icons/filerunner-16x16.png  %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
cp icons/filerunner-32x32.png  %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
cp icons/filerunner-48x48.png  %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=fr
Icon=%{name}
Terminal=false
Type=Application
Categories=Network;FileTransfer;
EOF

# doc
mv doc/COPYING doc/FAQ doc/HISTORY doc/README doc/*.txt ../

# delete inotify binaries.
rm -fr %{buildroot}/%{tcl_sitelib}/FileRunner/packages/inotify

%files
%doc COPYING FAQ HISTORY README *.txt
%{tcl_sitelib}/%{oname}
%{_bindir}/fr
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 14.06.18.10-3.mga8
+ Revision: 1489829
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 14.06.18.10-2.mga7
+ Revision: 1261200
- Mageia 7 Mass Rebuild

* Tue Jan 12 2016 shlomif <shlomif> 14.06.18.10-1.mga6
+ Revision: 922265
- New version + disable inotify

* Wed Oct 15 2014 umeabot <umeabot> 12.5.23.16-6.mga5
+ Revision: 746230
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 12.5.23.16-5.mga5
+ Revision: 679187
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 12.5.23.16-4.mga4
+ Revision: 508113
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 wally <wally> 12.5.23.16-3.mga3
+ Revision: 360587
- package missing dir (mga#8670)

* Fri Jan 11 2013 umeabot <umeabot> 12.5.23.16-2.mga3
+ Revision: 350321
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 26 2012 sander85 <sander85> 12.5.23.16-1.mga3
+ Revision: 274482
- New version: 12.5.23.16

* Wed Jul 06 2011 wally <wally> 10.12.28.23-1.mga2
+ Revision: 119321
- new version 10.12.28.23 (from new upstream maintainer)
- lowercase package name
- tag package as noarch
- clean .spec

* Wed Jul 06 2011 fwang <fwang> 2.5.1-20.mga2
+ Revision: 119174
- rebuild for new tcl

* Tue Mar 08 2011 ennael <ennael> 2.5.1-19.mga1
+ Revision: 66646
- fix desktop file name

* Tue Mar 08 2011 ennael <ennael> 2.5.1-18.mga1
+ Revision: 66570
- clean spec file
- imported package FileRunner

